Bug 813270

Summary: "System Status" link broken in REST
Product: [Other] RHQ Project Reporter: Jeeva Kandasamy <jkandasa>
Component: Web ServicesAssignee: Heiko W. Rupp <hrupp>
Status: CLOSED CURRENTRELEASE QA Contact: Mike Foley <mfoley>
Severity: urgent Docs Contact:
Priority: unspecified    
Version: unspecifiedCC: hrupp, lzoubek
Target Milestone: ---   
Target Release: RHQ 4.4.0   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-08-31 06:13:35 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Jeeva Kandasamy 2012-04-17 07:28:50 EDT
Description of problem:
"System Status" link broken in REST. 

http://dhcp201-148.englab.pnq.redhat.com:7080/rest/1/status.html

Error: Could not find resource for relative : /status of full path: http://dhcp201-148.englab.pnq.redhat.com:7080/rest/1/status.html

This issue was found out by overnight REST automation run.

Version-Release number of selected component (if applicable):
Version: 4.4.0-SNAPSHOT
Build Number: ca5eecb
GWT Version: 2.4.0
SmartGWT Version: 3.0

How reproducible:
100%

Steps to Reproduce:
1.Log on to http://<rhq-server-host>:7080/rest
2.Click on the URL "System Status"
  
Actual results:
Could not find resource for relative : /status of full path: http://dhcp201-148.englab.pnq.redhat.com:7080/rest/1/status.html

Expected results:
Should list status of the system
Comment 1 Heiko W. Rupp 2012-04-19 05:17:36 EDT
*** Bug 813540 has been marked as a duplicate of this bug. ***
Comment 2 Heiko W. Rupp 2012-04-19 05:36:46 EDT
master 8be4a1f
Comment 3 Jeeva Kandasamy 2012-04-20 07:34:23 EDT
Verified on the build:
Version: 4.4.0-SNAPSHOT
Build Number: 4e2d986
GWT Version: 2.4.0
SmartGWT Version: 3.0

Listing following key values,
URL: http://dhcp201-148.englab.pnq.redhat.com:7080/rest/1/status.html

CAM_LDAP_BIND_PW	- non null -
AlertDefinitionCount	0
CAM_LDAP_BASE_DN	o=JBoss,c=US
AVAILABILITY_PURGE	31536000000
CAM_JAAS_PROVIDER	false
BuildNumber	4e2d986
DATABASE_DRIVER_NAME	PostgreSQL Native Driver
ServerCount	25
RESOURCE_GENERIC_PROPERTIES_UPGRADE	false
CAM_RT_COLLECT_IP_ADDRS	true
CAM_LDAP_NAMING_PROVIDER_URL	ldap://localhost/
SERVER_LOCAL_TIME	April 20, 2012 5:02:26 PM IST
ServiceCount	1258
SERVER_TIMEZONE	India Standard Time
CAM_LDAP_PROTOCOL	false
ACTIVE_DRIFT_PLUGIN	drift-jpa
CAM_LDAP_BIND_DN	
EVENT_PURGE	1209600000
CAM_GUIDE_ENABLED	true
AGENT_MAX_QUIET_TIME_ALLOWED	300000
CAM_SYSLOG_ACTIONS_ENABLED	false
CAM_BASELINE_FREQUENCY	259200000
ENABLE_AGENT_AUTO_UPDATE	true
DB_SCHEMA_VERSION	2.122
CAM_DATA_MAINTENANCE	3600000
DATABASE_PRODUCT_NAME	PostgreSQL
DATA_REINDEX_NIGHTLY	true
CAM_BASELINE_DATASET	604800000
CAM_DATA_PURGE_1H	1209600000
DATABASE_PRODUCT_VERSION	8.4.7
SchedulesPerMinute	88
PlatformCount	1
DRIFT_FILE_PURGE	2678400000
TRAIT_PURGE	31536000000
FullName	RHQ
SERVER_HOME_DIR	/home/hudson/rhq-server-location-fresh/rhq-server-4.4.0-SNAPSHOT/jbossas/server/default
DATABASE_CONNECTION_URL	jdbc:postgresql://127.0.0.1:5432/rhqfreshdb?loginTimeout=0&socketTimeout=0&prepareThreshold=5&unknownLength=2147483647&loglevel=0&tcpkeepalive=false
CAM_DATA_PURGE_1D	31536000000
DATABASE_DRIVER_VERSION	PostgreSQL 9.1 JDBC4 (build 901)
SERVER_INSTALL_DIR	/home/hudson/rhq-server-location-fresh/rhq-server-4.4.0-SNAPSHOT
CAM_HELP_PASSWORD	- non null -
CAM_DATA_PURGE_6H	2678400000
NEXT_MEASUREMENT_TABLE_ROTATION	April 20, 2012 5:30:00 PM IST
CAM_BASE_URL	http://10.65.201.148:7080/
CAM_LDAP_FILTER	
CURRENT_MEASUREMENT_TABLE	RHQ_MEAS_DATA_NUM_R00
Name	RHQ
SERVER_VERSION	4.4.0-SNAPSHOT
RT_DATA_PURGE	2678400000
AlertCount	0
ALERT_PURGE	2678400000
CAM_LDAP_NAMING_FACTORY_INITIAL	com.sun.jndi.ldap.LdapCtxFactory
CAM_HELP_USER	web
CAM_LDAP_LOGIN_PROPERTY	cn
Comment 4 Heiko W. Rupp 2013-08-31 06:13:35 EDT
Bulk close of old bugs in VERIFIED state.